# icmp_dur_hdr Struct Reference

`#include <icmp.h>`

## Public Member Functions
| PACK_STRUCT_FIELD (uInt16 _type_code)
| PACK_STRUCT_FIELD (uInt16 chksum)
| PACK_STRUCT_FIELD (uInt32 unused)
## Data Fields
u8_t | type
u8_t | icode
u16_t | chksum
u32_t | unused

## Member Function Documentation

icmp_dur_hdr::PACK_STRUCT_FIELD | ( | uInt32 | unused | ) |

icmp_dur_hdr::PACK_STRUCT_FIELD | ( | uInt16 | chksum | ) |

icmp_dur_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _type_code | ) |

## Field Documentation

u16_t icmp_dur_hdr::chksum

u8_t icmp_dur_hdr::icode

u8_t icmp_dur_hdr::type

u32_t icmp_dur_hdr::unused

The documentation for this struct was generated from the following files:

- ipv4/icmp.h
- ipv6/icmp.h